summaryrefslogtreecommitdiffabout
path: root/tests/t0010-validate-html.sh
Unidiff
Diffstat (limited to 'tests/t0010-validate-html.sh') (more/less context) (show whitespace changes)
-rwxr-xr-xtests/t0010-validate-html.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
index 94aa52b..3fe4800 100755
--- a/tests/t0010-validate-html.sh
+++ b/tests/t0010-validate-html.sh
@@ -1,34 +1,41 @@
1#!/bin/sh 1#!/bin/sh
2 2
3. ./setup.sh 3. ./setup.sh
4 4
5 5
6test_url() 6test_url()
7{ 7{
8 tidy_opt="-eq" 8 tidy_opt="-eq"
9 test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no" 9 test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no"
10 cgit_url "$1" >trash/tidy-$test_count || return 10 cgit_url "$1" >trash/tidy-$test_count || return
11 sed -ie "1,4d" trash/tidy-$test_count || return 11 sed -ie "1,4d" trash/tidy-$test_count || return
12 tidy $tidy_opt trash/tidy-$test_count 12 "$tidy" $tidy_opt trash/tidy-$test_count
13 rc=$? 13 rc=$?
14 14
15 # tidy returns with exitcode 1 on warnings, 2 on error 15 # tidy returns with exitcode 1 on warnings, 2 on error
16 if test $rc = 2 16 if test $rc = 2
17 then 17 then
18 false 18 false
19 else 19 else
20 : 20 :
21 fi 21 fi
22} 22}
23 23
24prepare_tests 'Validate html with tidy' 24prepare_tests 'Validate html with tidy'
25 25
26tidy=`which tidy`
27test -n "$tidy" || {
28 echo "Skipping tests: tidy not found"
29 tests_done
30 exit
31}
32
26run_test 'index page' 'test_url ""' 33run_test 'index page' 'test_url ""'
27run_test 'foo' 'test_url "foo"' 34run_test 'foo' 'test_url "foo"'
28run_test 'foo/log' 'test_url "foo/log"' 35run_test 'foo/log' 'test_url "foo/log"'
29run_test 'foo/tree' 'test_url "foo/tree"' 36run_test 'foo/tree' 'test_url "foo/tree"'
30run_test 'foo/tree/file-1' 'test_url "foo/tree/file-1"' 37run_test 'foo/tree/file-1' 'test_url "foo/tree/file-1"'
31run_test 'foo/commit' 'test_url "foo/commit"' 38run_test 'foo/commit' 'test_url "foo/commit"'
32run_test 'foo/diff' 'test_url "foo/diff"' 39run_test 'foo/diff' 'test_url "foo/diff"'
33 40
34tests_done 41tests_done